apiVersion: apps/v1
kind: StatefulSet
metadata:
 name: pgadmin
spec:
 serviceName: pgadmin-svc
 podManagementPolicy: Parallel
 replicas: 1
 updateStrategy:
   type: RollingUpdate
 selector:
   matchLabels:
     app: pgadmin
 template:
   metadata:
     labels:
       app: pgadmin
   spec:
     terminationGracePeriodSeconds: 10
     initContainers:
       - name: fix-permission
         image: busybox
         command: ['sh', '-c']
         args: ['chown -R 5050:5050 /var/lib/pgadmin;']
         volumeMounts:
         - mountPath: /var/lib/pgadmin
           name: pgadmin-data
     containers:
       - name: pgadmin
         image: dpage/pgadmin4:6.19
         imagePullPolicy: Always
         env:
         - name: MAX_LOGIN_ATTEMPTS
           value: "5"
         - name: PGADMIN_DEFAULT_EMAIL
           value: {{pgadmin.email}}
         - name: PGADMIN_DEFAULT_PASSWORD
           valueFrom:
             secretKeyRef:
               name: pgadmin-secret
               key: pgadmin-password
         ports:
         - name: http
           containerPort: 80
           protocol: TCP
         volumeMounts:
         - name: pgadmin-config
           mountPath: /pgadmin4/servers.json
           subPath: servers.json
           readOnly: true
         - name: pgadmin-data
           mountPath: /var/lib/pgadmin
     volumes:
     - name: pgadmin-config
       configMap:
         name: pgadmin-config
 volumeClaimTemplates:
 - metadata:
     name: pgadmin-data
   spec:
     accessModes: [ "ReadWriteOnce" ]
     resources:
       requests:
         storage: 3Gi